
TYPO3.Fluid - Bug # 50888

Status: Under Review Priority: Should have
Author: Rafael Kähm Category:
Created: 2013-08-07 Assigned To:
Updated: 2014-08-26 Due date:
Has patch: No
Affected Flow version: Git master
Subject: WSOD by changing name of section and if Fluid caches are generated
Description

If you change the name of some section in your Layout and caches were generated before this change, then you get WSOD with
following message in php log file:

PHP Fatal error:  Call to undefined method
FluidCache_Vendor_PackageName_Standard_action_index_bb47a7064d2c509f0bd5f35af56ae64023f35f04::section_3065c96e28893f22b707315d76eb3c0794993450() in ...../Pa
3f22b707315d76eb3c0794993450() in ...../Packages/Framework/TYPO3.Fluid/Classes/TYPO3/Fluid/View/AbstractTemplateView.php
on line 247

as you can see Fluid tries to call section_3065c96e28893f22b707315d76eb3c0794993450() [also 'section_' . sha1($sectionName)]

Fluid makes no checking if layout file was changed and no check if method exists.

Fluid should throw an exception on this place instead of WSOD.

History
#1 - 2013-08-08 14:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22953

#2 - 2014-08-26 15:52 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/22953

#3 - 2014-08-26 15:52 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Fluid has been pushed to the review server.
It is available at http://review.typo3.org/22953
